<?php




namespace ln\listens\pay;


use app\common\repositories\user\UserRechargeRepository;
use ln\interfaces\ListenerInterface;

class UserRechargeSuccessListen implements ListenerInterface
{

    public function handle($data): void
    {
        $orderSn = $data['order_sn'];
        app()->make(UserRechargeRepository::class)->paySuccess($orderSn);
    }
}